Ansible Role: Docker host
=========================

This roles installs and configures the latest version of docker and docker-compose from the official Docker CE repository.

Requirements
------------

None.

Role Variables
--------------

Available variables are listed below, along with default values (see `defaults/main.yml`):

    docker_compose_version: "v2.4.1"

The version of docker-compose to install.

    docker_user_username: "root"

The username that will run docker (specify a user to run docker deamon in rootless mode).

Dependencies
------------

None.

Example Playbook
----------------

    - hosts: servers
      roles:
         - { role: docker-host }

License
-------

MIT / BSD
